<#
.SYNOPSIS

Altera dados para buscar imagem da api enterprise para novo gitlab

altera:
    enterprise.imagem.nome para gitlab.microuniverso.com.br:5050/microuniverso/mufenix/enterprise/enterprise
    enterprise.imagem.usuario para oauth2
    enterprise.imagem.senha para glpat-s3xxuwRoqbkDuLTy_vNi

#>

. $PSScriptRoot\..\_echo.ps1
. $PSScriptRoot\..\configuracoesMicrouniversoWeb.ps1
. $PSScriptRoot\acpsFuncoesComuns.ps1

function global:_mu.acp4JaExecutada() {
    (test-path (mu.acp.obterCaminhoRegistroACPs)) -and (Get-itemProperty (mu.acp.obterCaminhoRegistroACPs)).acp4 -match "executada"
}

function global:_mu.executarAcp4() {
    param(
        [Parameter(Mandatory = $true)]
        [string]
        $enderecoArquivoConfiguracao
    )

    $configuracoes = mu.configuracoesMicrouniversoWeb.obter -enderecoYaml $enderecoArquivoConfiguracao 

    #write-host $configuracoes
    $configuracoes.enterprise.imagem.nome = "gitlab.microuniverso.com.br:5050/microuniverso/mufenix/enterprise/enterprise"
    $configuracoes.enterprise.imagem.usuario = "oauth2"
    $configuracoes.enterprise.imagem.senha = "glpat-s3xxuwRoqbkDuLTy_vNi"
    

    mu.configuracoesMicrouniversoWeb.salvar -configuracoes $configuracoes -enderecoYaml $enderecoArquivoConfiguracao

    New-ItemProperty $(mu.acp.obterCaminhoRegistroACPs) -Name acp4 -Value "executada;$(get-date -format yyyy-MM-dd-HH-mm-ss)" -force

}

function global:mu.acp4() {
    param(
        [Parameter(Mandatory = $true)]
        [string]
        $enderecoArquivoConfiguracao
    )

    mu.acp.criarCaminhoAcpsSeNecessario

    if ((_mu.acp4JaExecutada) -eq $false) {
        _mu.executarAcp4 -enderecoArquivoConfiguracao $enderecoArquivoConfiguracao
        _echo "ACP4 executada com sucesso"
    } else {
        _echo "ACP4 ja executada"
    }
}